using System;
using UnityEngine;

[Serializable]
public class AMPath
{
	public AMPath()
	{
	}

	public AMPath(Vector3[] _path, int _interp, int _startFrame, int _endFrame)
	{
		this.path = _path;
		this.interp = _interp;
		this.startFrame = _startFrame;
		this.endFrame = _endFrame;
	}

	public AMPath(Vector3[] _path, int _interp, int _startFrame, int _endFrame, int _startIndex, int _endIndex)
	{
		this.path = _path;
		this.interp = _interp;
		this.startFrame = _startFrame;
		this.endFrame = _endFrame;
		this.startIndex = _startIndex;
		this.endIndex = _endIndex;
	}

	public int getNumberOfFrames()
	{
		return this.endFrame - this.startFrame;
	}

	public Vector3[] path;

	public int interp;

	public int startFrame;

	public int endFrame;

	public int startIndex;

	public int endIndex;
}
